Permalink
Browse files

Temporary fix to enable requests to work

rally-openstack uses requests and requests has a requirement of urllib3 <1.24
urllib3 1.24 was released upstream for urllib3 which is incompatible with
requests.
So until requests/requests#4830 is resolved
Pinning urllib3 to 1.23.

Change-Id: I234709643b31ed87e2fd16ae65c616e3a8a83334
  • Loading branch information...
aakarshgopi committed Oct 17, 2018
1 parent 1576642 commit 29acf2234e02b7780999df9f6cd4f082f084daad
Showing with 20 additions and 0 deletions.
  1. +10 −0 ansible/install/roles/browbeat/tasks/main.yml
  2. +10 −0 ansible/install/roles/rally/tasks/main.yml
@@ -95,6 +95,16 @@
- heat-admin-id_rsa
when: "(tripleo == true and (hosts_file_exists.stat.exists == false or hosts_file_exists.stat.isreg == false))"
# Temporary fix until
# https://github.com/requests/requests/issues/4830
# is fixed upstream
- name: Install urllib3
pip:
name: urllib3
version: 1.23
virtualenv: "{{ browbeat_venv }}"
- name: Install requirements.txt into browbeat-venv
pip:
requirements: "{{ browbeat_path }}/requirements.txt"
@@ -15,6 +15,16 @@
line: 'export REQUESTS_CA_BUNDLE={{ overcloud_ca_path }}'
when: overcloud_ca_path is defined
# Temporary fix until
# https://github.com/requests/requests/issues/4830
# is fixed upstream
- name: Install urllib3
pip:
name: urllib3
version: 1.23
virtualenv: "{{ rally_venv }}"
- name: Install Rally with OpenStack plugins into rally-venv
pip:
name: rally-openstack

0 comments on commit 29acf22

Please sign in to comment.